// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AIO/16AIO_Linux_4.x.x.x_DN/samples/signals/perform.c $
// $Rev: 53250 $
// $Date: 2023-06-22 15:54:23 -0500 (Thu, 22 Jun 2023) $

// 16AIO: Sample Application: source file

#include "main.h"



//*****************************************************************************
int perform_tests(const args_t* args)
{
	int	errs	= 0;

	//===============================================================
	gsc_label("Sync Output");
	printf("\n");
	gsc_label_level_inc();

	errs	+= aio_initialize		(args->fd, -1, 1);
	errs	+= aio_ext_sync_src		(args->fd, -1, 1, AIO_AI_EXT_SYNC_SRC_AISC, NULL);
	errs	+= aio_ai_scan_clk_src	(args->fd, -1, 1, AIO_AI_SCAN_CLK_SRC_RGA, NULL);
	errs	+= aio_rga_nrate		(args->fd, -1, 1, 1200, NULL);
	errs	+= aio_rga_enable		(args->fd, -1, 1, AIO_GEN_ENABLE_YES, NULL);

	gsc_label_level_dec();

	//===============================================================
	gsc_label("Waiting");
	printf("%d seconds ... ", args->seconds);
	fflush(stdout);
	os_sleep_ms(args->seconds * 1000);
	printf("Done\n");

	errs	+= aio_initialize		(args->fd, -1, 1);

	return(errs);
}



