// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AIO/16AIO_Linux_4.x.x.x_DN/utils/util_auto_calibrate.c $
// $Rev: 53259 $
// $Date: 2023-06-22 16:00:16 -0500 (Thu, 22 Jun 2023) $

// 16AIO: Utilities Library: source file

#include "main.h"



// Retained for backwards compatibility only:

/******************************************************************************
*
*	Function:	aio_auto_calibrate
*
*	Purpose:
*
*		Provide a visual wrapper for the AIO_IOCTL_AUTO_CALIBRATE service.
*
*	Arguments:
*
*		fd		Use this handle to access the device.
*
*		index	The index of the device to access. Ignore if < 0.
*				This is for display purposes only.
*
*		verbose	Work verbosely?
*
*	Returned:
*
*		>= 0	The number of errors encounterred.
*
******************************************************************************/

int aio_auto_calibrate(int fd, int index, int verbose)
{
	int	errs;

	errs	= aio_autocal(fd, index, verbose);
	return(errs);
}


