// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AIO/16AIO_Linux_4.x.x.x_DN/api/write.c $
// $Rev: 44025 $
// $Date: 2018-11-06 15:12:01 -0600 (Tue, 06 Nov 2018) $

// 16AIO: API Library: source file

#include "main.h"



//*****************************************************************************
// Return Values:
//	>=0	= success, the number of bytes transferred
//	<0  = failure, value is -errno or -GetLastError (Windows only)
int aio_write(int fd, const void* src, size_t bytes)
{
	int	ret;

	if (bytes > GSC_IO_SIZE_QTY_MASK)
		bytes	= GSC_IO_SIZE_QTY_MASK & ~0x3;

	bytes	|= STREAM_ID_TX;
	ret		= gsc_api_write(fd, src, bytes);
	return(ret);
}


