// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AIO/16AIO_Linux_4.x.x.x_DN/samples/sbtest/aux_read.c $
// $Rev: 51301 $
// $Date: 2022-07-07 17:24:53 -0500 (Thu, 07 Jul 2022) $

// 16AIO: Sample Application: source file

#include "main.h"



//*****************************************************************************
static int _service_test(int fd)
{
	int	errs	= 0;
	int	ret;
	s32	sts;

	errs	+= aio_initialize(fd, -1, 0);

	ret		= aio_ioctl(fd, AIO_IOCTL_AUX_READ, &sts);
	errs	+= ret ? 1 : 0;

	ret		= aio_ioctl(fd, AIO_IOCTL_AUX_READ, &sts);
	errs	+= ret ? 1 : 0;

	errs	+= aio_initialize(fd, -1, 0);
	return(errs);
}



//*****************************************************************************
static int _function_test(int fd)
{
	// This requires additional equipment.
	return(0);
}



/******************************************************************************
*
*	Function:	aux_read_test
*
*	Purpose:
*
*		Perform a test of the IOCTL service AIO_IOCTL_AUX_READ.
*
*	Arguments:
*
*		fd		The handle for the device to access.
*
*	Returned:
*
*		>= 0	The number of errors encounterred.
*
******************************************************************************/

int aux_read_test(int fd)
{
	int	errs	= 0;

	gsc_label("AIO_IOCTL_AUX_READ");
	errs	+= _service_test(fd);
	errs	+= _function_test(fd);

	if (errs == 0)
		printf("PASS\n");

	return(errs);
}


