// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AIO/16AIO_Linux_4.x.x.x_DN/utils/util_count.c $
// $Rev: 51613 $
// $Date: 2022-10-07 07:15:48 -0500 (Fri, 07 Oct 2022) $

// 16AIO: Utilities Library: source file

#include "main.h"



/******************************************************************************
*
*	Function:	aio_count_boards
*
*	Purpose:
*
*		Count the number of installed devices.
*
*	Arguments:
*
*		verbose	Work verbosely.
*
*		get		The results are reported here. This may be NULL.
*
*	Returned:
*
*		>= 0	The number of errors seen.
*
******************************************************************************/

int aio_count_boards(int verbose, s32* get)
{
	int	errs;

	errs	= os_count_boards(verbose, get, aio_open, aio_read, aio_close);

	return(errs);
}



